Skip to main content
GET
/
happy-returns
/
shipments
/
{happy_returns_shipment_id}
Get Shipment Information
curl --request GET \
  --url https://api.loopreturns.com/api/v1/happy-returns/shipments/{happy_returns_shipment_id} \
  --header 'X-Authorization: <api-key>'
import requests

url = "https://api.loopreturns.com/api/v1/happy-returns/shipments/{happy_returns_shipment_id}"

headers = {"X-Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Authorization': '<api-key>'}};

fetch('https://api.loopreturns.com/api/v1/happy-returns/shipments/{happy_returns_shipment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "loop_shipment_id": 123,
  "happy_returns_shipment_id": "<string>",
  "line_item_count": 123,
  "return_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"errors": "<string>"
}
{
"message": "<string>"
}

Authorizations

X-Authorization
string
header
required

Path Parameters

happy_returns_shipment_id
string
required

The unique identifier associated with the shipment.

Response

Success

loop_shipment_id
integer

The unique identifier associated with the shipment, assigned by Loop.

Example:

12345

happy_returns_shipment_id
string

The unique identifier associated with the shipment, assigned by Happy Returns.

Example:

"123456"

line_item_count
integer

The number of line items included in the shipment.

Example:

2

return_count
integer

The number of Loop returns represented in the shipment.

Example:

1

created_at
string<date-time>

The date and time at which the shipment was created, using the ISO 8601 date format.

Example:

"2024-03-19T12:34:56+00:00"

updated_at
string<date-time>

The date and time at which the shipment was last updated, using the ISO 8601 date format.

Example:

"2024-03-20T12:34:56+00:00"